Itsxpress plugin installation error

I have qiime2-2019.7 version. I want to Install itsxpress plugin for ITS Sequence analysis. I got the following error when I tried to Install updated version of conda.

(qiime2-2019.7) [email protected]:~/miniconda2/envs/qiime2-2019.7/fungal_ITS_RESULT$ conda install -c bioconda itsxpress
Solving environment: failed

CondaUpgradeError: This environment has previously been operated on by a conda version that’s newer
than the conda currently being used. A newer version of conda is required.
target environment location: /home/ruthra/miniconda2/envs/qiime2-2019.7
current conda version: 4.5.12
minimum conda version: 4.6

Update conda and try again.
$ conda install -p “/home/ruthra/miniconda2” “conda>=4.6”

(qiime2-2019.7) [email protected]:~/miniconda2/envs/qiime2-2019.7/fungal_ITS_RESULT$ ^C
(qiime2-2019.7) [email protected]:~/miniconda2/envs/qiime2-2019.7/fungal_ITS_RESULT$ conda install -p “/home/ruthra/miniconda2” “conda>=4.6”
Solving environment: done

Package Plan

environment location: /home/ruthra/miniconda2

added / updated specs:
- conda[version=’>=4.6’]

The following packages will be downloaded:

package                    |            build
---------------------------|-----------------
urllib3-1.25.7             |           py38_0         161 KB
wheel-0.33.6               |           py38_0          35 KB
xz-5.2.4                   |       h14c3975_4         366 KB
pip-19.3.1                 |           py38_0         1.9 MB
ruamel_yaml-0.15.87        |   py38h7b6447c_0         269 KB
tqdm-4.40.2                |             py_0          53 KB
openssl-1.1.1d             |       h7b6447c_3         3.7 MB
idna-2.8                   |        py38_1000         103 KB
pycosat-0.6.3              |   py38h7b6447c_0         113 KB
cffi-1.13.2                |   py38h2e261b9_0         233 KB
python-3.8.0               |       h0371630_2        39.6 MB
pysocks-1.7.1              |           py38_0          27 KB
pyopenssl-19.1.0           |           py38_0          87 KB
conda-package-handling-1.6.0|   py38h7b6447c_0         879 KB
conda-4.8.0                |           py38_1         3.0 MB
asn1crypto-1.2.0           |           py38_0         159 KB
cryptography-2.8           |   py38h1ba5d50_0         618 KB
requests-2.22.0            |           py38_1          90 KB
certifi-2019.11.28         |           py38_0         156 KB
six-1.13.0                 |           py38_0          27 KB
ca-certificates-2019.11.27 |                0         132 KB
libedit-3.1.20181209       |       hc058e9b_0         188 KB
chardet-3.0.4              |        py38_1003         170 KB
sqlite-3.30.1              |       h7b6447c_0         1.9 MB
setuptools-42.0.2          |           py38_0         654 KB
pycparser-2.19             |             py_0          89 KB
------------------------------------------------------------
                                       Total:        54.7 MB

The following NEW packages will be INSTALLED:

_libgcc_mutex:          0.1-main               
conda-package-handling: 1.6.0-py38h7b6447c_0   
tqdm:                   4.40.2-py_0            
xz:                     5.2.4-h14c3975_4       

The following packages will be UPDATED:

asn1crypto:             0.24.0-py27_0           --> 1.2.0-py38_0           
ca-certificates:        2018.03.07-0            --> 2019.11.27-0           
certifi:                2018.11.29-py27_0       --> 2019.11.28-py38_0      
cffi:                   1.11.5-py27he75722e_1   --> 1.13.2-py38h2e261b9_0  
chardet:                3.0.4-py27_1            --> 3.0.4-py38_1003        
conda:                  4.5.12-py27_0           --> 4.8.0-py38_1           
cryptography:           2.4.2-py27h1ba5d50_0    --> 2.8-py38h1ba5d50_0     
idna:                   2.8-py27_0              --> 2.8-py38_1000          
libedit:                3.1.20170329-h6b74fdf_2 --> 3.1.20181209-hc058e9b_0
libgcc-ng:              8.2.0-hdf63c60_1        --> 9.1.0-hdf63c60_0       
openssl:                1.1.1a-h7b6447c_0       --> 1.1.1d-h7b6447c_3      
pip:                    18.1-py27_0             --> 19.3.1-py38_0          
pycosat:                0.6.3-py27h14c3975_0    --> 0.6.3-py38h7b6447c_0   
pycparser:              2.19-py27_0             --> 2.19-py_0              
pyopenssl:              18.0.0-py27_0           --> 19.1.0-py38_0          
pysocks:                1.6.8-py27_0            --> 1.7.1-py38_0           
python:                 2.7.15-h9bab390_6       --> 3.8.0-h0371630_2       
requests:               2.21.0-py27_0           --> 2.22.0-py38_1          
ruamel_yaml:            0.15.46-py27h14c3975_0  --> 0.15.87-py38h7b6447c_0 
setuptools:             40.6.3-py27_0           --> 42.0.2-py38_0          
six:                    1.12.0-py27_0           --> 1.13.0-py38_0          
sqlite:                 3.26.0-h7b6447c_0       --> 3.30.1-h7b6447c_0      
urllib3:                1.24.1-py27_0           --> 1.25.7-py38_0          
wheel:                  0.32.3-py27_0           --> 0.33.6-py38_0          

Proceed ([y]/n)? Y

Downloading and Extracting Packages
urllib3-1.25.7 | 161 KB | ########################################################################################################################################################################################## | 100%
wheel-0.33.6 | 35 KB | ########################################################################################################################################################################################## | 100%
xz-5.2.4 | 366 KB | ########################################################################################################################################################################################## | 100%
pip-19.3.1 | 1.9 MB | ########################################################################################################################################################################################## | 100%
ruamel_yaml-0.15.87 | 269 KB | ########################################################################################################################################################################################## | 100%
tqdm-4.40.2 | 53 KB | ########################################################################################################################################################################################## | 100%
openssl-1.1.1d | 3.7 MB | ########################################################################################################################################################################################## | 100%
idna-2.8 | 103 KB | ########################################################################################################################################################################################## | 100%
pycosat-0.6.3 | 113 KB | ########################################################################################################################################################################################## | 100%
cffi-1.13.2 | 233 KB | ########################################################################################################################################################################################## | 100%
python-3.8.0 | 39.6 MB | ########################################################################################################################################################################################## | 100%
pysocks-1.7.1 | 27 KB | ########################################################################################################################################################################################## | 100%
pyopenssl-19.1.0 | 87 KB | ########################################################################################################################################################################################## | 100%
conda-package-handli | 879 KB | ########################################################################################################################################################################################## | 100%
conda-4.8.0 | 3.0 MB | ########################################################################################################################################################################################## | 100%
asn1crypto-1.2.0 | 159 KB | ########################################################################################################################################################################################## | 100%
cryptography-2.8 | 618 KB | ########################################################################################################################################################################################## | 100%
requests-2.22.0 | 90 KB | ########################################################################################################################################################################################## | 100%
certifi-2019.11.28 | 156 KB | ########################################################################################################################################################################################## | 100%
six-1.13.0 | 27 KB | ########################################################################################################################################################################################## | 100%
ca-certificates-2019 | 132 KB | ########################################################################################################################################################################################## | 100%
libedit-3.1.20181209 | 188 KB | ########################################################################################################################################################################################## | 100%
chardet-3.0.4 | 170 KB | ########################################################################################################################################################################################## | 100%
sqlite-3.30.1 | 1.9 MB | ########################################################################################################################################################################################## | 100%
setuptools-42.0.2 | 654 KB | ########################################################################################################################################################################################## | 100%
pycparser-2.19 | 89 KB | ########################################################################################################################################################################################## | 100%
Preparing transaction: done
Verifying transaction: done
Executing transaction: failed
ERROR conda.core.link:_execute(507): An error occurred while uninstalling package ‘defaults::conda-4.5.12-py27_0’.
OSError(13, ‘Permission denied’)
Attempting to roll back.

Rolling back transaction: done

OSError(13, ‘Permission denied’)

Could anyone please tell me how to rectify this error?.
Thanking you in advance.

Hi @Asha1,
This is not a QIIME 2 or q2-itsxpress-related error, this is a conda error, evidently related to file permissions on your system. Some quick googling came up with some potential solutions:

But be careful! If this is not your personal PC, you should discuss with the admin/owner before attempting to change file permissions.

Good luck!

Thank you so much for your reply and suggestions sir. I will look in to this matter and get back to you.